%global npm_name cryptiles

Summary:       General purpose crypto utilities
Name:          nodejs-%{npm_name}
Version:       2.0.5
Release:       2%{?dist}
License:       BSD
URL:           https://github.com/hapijs/cryptiles
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
General purpose crypto utilities

%prep
%setup -q -n package

sed -i 's\0.10.40\0.10.36\' package.json

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md test
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 2.0.5-2
- Fixup dependencies

* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 2.0.5-1
- Initial package
